package praktikum12;

import java.awt.*; // --> Rectangle, Color, Graphics

/** 
 * Joonistatava mulli (ringi) klass.
 * @author Jri Kiho 
 * @version 01.05.2009
 */
public class Mull extends Rectangle{

	/**
	 * Mullide hine laius.
	*/ 
    	static final int   LAIUS  = 50; 

	/**
	 * Mullide hine krgus.
	*/ 
    	static final int   KRGUS = 50; 


	/**
	 * Selle mulli vrv.
	*/ 
	private Color vrv;

	/***************************************************
	 * Konstruktor.
	 * Mrab asukoha koordinaadid ja vrvi ning mdud.
	*/
    	Mull(int xx, int yy, Color v){// konstruktor
		x = xx; 
		y = yy; 
		height = KRGUS; 
		width = LAIUS;
		vrv = v;
    	}

	/***************************************************
	 * Joonistada see mull.
	 *@param g tahvli graafikakontekst
	*/    
	void joonistada(Graphics g){
		g.setColor(vrv);
		g.fillOval(x, y, width, height);
	}

	/***************************************************
	 * Kustutada see mull. Vrvitakse le tahvli taustvrviga.
	 *@param g tahvli graafikakontekst
	*/
	void kustutada(Graphics g){
		g.setColor(Tahvel.TAUST);
		g.fillOval(x, y, width, height);
	}//kustutada
    
}