package praktikum12;

import java.awt.*;	// Graphics

/******************************************* 
 * Mulli juhtiva lime klass.
 * @author Jri Kiho 
 * @version 01.05.2009
 */
public class MulliJuhtija extends Thread{

    /**
     * Juhitav mull.
    */	
    private Mull mull;

    /**
     * Joonistamise tahvel.
    */	
    private Tahvel tahvel;

    /**
     * Liikumise suund (1: paremale, -1: vasakule).
    */	
    private int suund;

    /**
     * Vastu tulev mull.
    */	
    private Mull vastane;

    /***************************************************
     * Konstruktor.
    */    
    MulliJuhtija(Mull m, Tahvel t, int s, Mull v){// konstruktor
		mull = m;
		tahvel = t; 
		suund = s;
		vastane = v;
    }
   
    /**********************************************
     * Lime t.
    */
    public void run(){ 			
  
	Graphics g = tahvel.getGraphics();
	if(tahvel.xorLaad)
		g.setXORMode(tahvel.TAUST);

	for(;;){ 
		mull.joonistada(g);

		// viivitus:
		try{
		   	sleep(100);
		}
		catch(InterruptedException e){}
		   	
		// kustutada sealt, kus oli
		if(tahvel.xorLaad)
			mull.joonistada(g);
		else
			mull.kustutada(g);

		synchronized(vastane){
			if(Math.abs(mull.x - vastane.x) < mull.LAIUS/2) { 
				java.awt.Toolkit.getDefaultToolkit().beep(); // piiks
				g.setColor(Color.gray);
				g.setPaintMode();
				g.drawString("Restart: hiireklps", 
						tahvel.laius()-100, tahvel.krgus()-20);
				return;
			}
      		}
		    
		// uus asukoht:
			mull.x += suund*Praktikum2.Praktikum2.juhuarv(1, 10);

	}
		
    }

  /**********************************************
     * Piilumeetod.
    */
	public Mull mull(){return mull;}
}